/*
 *
 * {{ properCase name }} actions
 *
 */

import { 
  {{ redux_constant name }}_MERGE,
{{#if wantSaga}}
  {{ redux_constant name }}_FETCH,
  {{ redux_constant name }}_SAVE,
{{/if}}
} from './constants';

export function {{ camelCase name }}Merge(payload = {}) {
  return {
    type: {{ redux_constant name }}_MERGE,
    payload,
  }
}

{{#if wantSaga}}
export function {{ camelCase name }}Fetch(payload = {}) {
  return {
    type: {{ redux_constant name }}_FETCH,
    payload,
  }
}

export function {{ camelCase name }}Save(payload = {}) {
  return {
    type: {{ redux_constant name }}_SAVE,
    payload,
  }
}

export function {{ camelCase name }}SetLoading(state = true) {
  return {
    type: {{ redux_constant name }}_MERGE,
    payload: {
      isLoading: state || false,
    },
  }
}

export function {{ camelCase name }}SetMessage(message = '') {
  return {
    type: {{ redux_constant name }}_MERGE,
    payload: { message },
  }
}
{{/if}}